function MAS = CreateMas( A, B, C, L, F, G, N)
% MAS = CreateMas( A, B, C, L, F, G, N)
% creates an SS object MAS representing the continuous-time state-space model described in eq.(19) (20) (21)
  p = size(L,1);
  I = eye(p);
  
  SSA = [ kron( I, A),           kron( I, B * F);
          1/N * kron( L, G * C), kron( I, A - G * C) + kron( 1/N * L, B * F)];
  SSB = [zeros( p * size( G)); kron( 1/N * L, G)];
  SSC = [zeros( p * size( F)), kron( I, F)];
  SSD = 0;
  MAS = ss(SSA, SSB, SSC, SSD);
end
