function L = GraphLaplacian(P, E)
% L = GraphLaplacian(P, E)
% Returns the laplacian of the undirected graph with p vertices together with its set of edges.
% P is the number of vertices
% E is an nx2 matrix consisting of the n pairs of vertices forming the edges.
%
% L = GraphLaplacian(A)
% Returns the graph laplacian of the adjacency matrix A
  
  if nargin == 2
    A = VEtoAdj(P, E);
  else
    A = P;
  end
  L = diag(sum(A)) - A;
end