%creates an animation from the output of demoFormationControl

%plotting the output:

width=800;
height=480;

clear M

fig=figure;
set(fig, 'Position', [0 0 width+1 height+1]);

%path plot size
pathmaxx=max(max(yout(:,1:2:end)))*1.05;
pathminx=min(min(yout(:,1:2:end)))*1.05;
pathmaxy=max(max(yout(:,2:2:end)))*1.05;
pathminy=min(min(yout(:,2:2:end)))*1.05;

pathaxishandle=axes('position', [0.05 0.05 0.5 0.9]);
currentformationaxishandle=axes('position', [0.65 0.55 0.3 0.4]);
targetformationaxishandle=axes('position', [0.65 0.05 0.3 0.4]);


axes(targetformationaxishandle);
gplot(Graph, xy);
hold on;
scatter(xy(:,1), xy(:,2));
hold off;
for j = 1:p,
  text(xy(j,1), xy(j,2), [' ' int2str(j)], 'FontSize',12);
end
title('Graph topology/Target formation');
grid on;

for k=1:size(tout,1)
  axes(pathaxishandle);
  plot(yout([1 1:k],1:2:end),yout([1 1:k],2:2:end));
  hold on;
  scatter(yout(k,1:2:end),yout(k,2:2:end));
  hold off;
  set(pathaxishandle,'xlim',[pathminx pathmaxx], 'ylim',[pathminy pathmaxy]);
  grid on;
  title(['Time: ' num2str(round(tout(k)))]);
  for j = 1:p,
    text(yout(k,2*j-1),yout(k,2*j),[' ' int2str(j)],'FontSize',14);
  end
  
  axes(currentformationaxishandle);
  gplot(Graph, vec2mat(yout(k,:),2));
  hold on;
  scatter(yout(k,1:2:end), yout(k,2:2:end));
  hold off;
  title('Graph topology/Current formation');
  for j = 1:p,
    text(yout(k,2*j-1),yout(k,2*j),[' ' int2str(j)],'FontSize',12);
  end
  grid on;
  
  M(k) = getframe(gcf);
end