function [sys] = perturbation(m, q, eta)
% [sys] = perturbation(m, q, eta)
% Returns a random stable space state system with m inputs and q outputs such that its norm is smaller than eta

  
  n=max(m,q);
  A=rand(n,n);
  B=rand(n,m);
  C=rand(q,n);
  D=rand(q,m);
  A = A - eye(n)*2*max(real(eig(A))); %move the eigenvalues to left of the imaginary axis
  A = - rand * eta * A / min(real(eig(A))); %scales the eigenvalues s.t. ||sys|| < eta
  sys = ss(A,B,C,D);
end
