function [sys] = perturbations(p, m, q, eta)
% function [sys] = perturbations(p, m, q, eta)
% Returns p random stable space state systems with m inputs and q outputs such that
% each its norm is smaller than eta and A is hurwiz, then puts them all in
% a single block diagonal system.
  
  n=max(m,q);
  sys = ss(zeros(p*n), zeros(p*n,p*m), zeros(p*q, p*n), zeros(p*q, p*m));
  for i=0:p-1,
    tmpsys = perturbation(m, q, eta);
    sys.A(((i*n)+1):((i+1)*n), ((i*n)+1):((i+1)*n)) = tmpsys.A;
    sys.B(((i*n)+1):((i+1)*n), ((i*m)+1):((i+1)*m)) = tmpsys.B;
    sys.C(((i*q)+1):((i+1)*q), ((i*n)+1):((i+1)*n)) = tmpsys.C;
    sys.D(((i*q)+1):((i+1)*q), ((i*m)+1):((i+1)*m)) = tmpsys.D;
  end
end